---
title: Update a zone snippet
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Snippets](https://developers.cloudflare.com/api/python/resources/snippets)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Update a zone snippet

snippets.update(strsnippet\_name, SnippetUpdateParams\*\*kwargs) -> [SnippetUpdateResponse](<https://developers.cloudflare.com/api/python/resources/snippets#(resource)%20snippets%20%3E%20(model)%20snippet_update_response%20%3E%20(schema)>)

PUT/zones/{zone\_id}/snippets/{snippet\_name}

Creates or updates a snippet belonging to the zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Snippets Write`

##### ParametersExpand Collapse

zone\_id: str

Use this field to specify the unique ID of the zone.

[Link to this property](<#(resource)%20snippets%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

snippet\_name: str

Identify the snippet.

[Link to this property](<#(resource)%20snippets%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20snippet_name%20%3E%20(schema)>)

<details>

<summary>

metadata: <a href="https://developers.cloudflare.com/api/python/resources/snippets/methods/update#(resource)%20snippets%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20metadata%20%3E%20(schema)">Metadata</a>

Provide metadata about the snippet.

</summary>

main\_module: str

Specify the name of the file that contains the main module of the snippet.

minLength1

<a href="#(resource)%20snippets%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20metadata%20%3E%20(schema)%20%3E%20(property)%20main_module">Link to this property</a>

</details>

[Link to this property](<#(resource)%20snippets%20%3E%20(method)%20update%20%3E%20(params)%20default%20%3E%20(param)%20metadata%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SnippetUpdateResponse: …

Define a snippet.

</summary>

created\_on: datetime

Indicates when the snippet was created.

formatdate-time

<a href="#(resource)%20snippets%20%3E%20(model)%20snippet_update_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

snippet\_name: str

Identify the snippet.

<a href="#(resource)%20snippets%20%3E%20(model)%20snippet_update_response%20%3E%20(schema)%20%3E%20(property)%20snippet_name">Link to this property</a>

modified\_on: Optional\[datetime]

Indicates when the snippet was last modified.

formatdate-time

<a href="#(resource)%20snippets%20%3E%20(model)%20snippet_update_response%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20snippets%20%3E%20(model)%20snippet_update_response%20%3E%20(schema)>)

### Update a zone snippet

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
snippet = client.snippets.update(
    snippet_name="my_snippet",
    zone_id="9f1839b6152d298aca64c4e906b6d074",
    metadata={
        "main_module": "main.js"
    },
)
print(snippet.created_on)
```

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": {
    "created_on": "2000-01-01T00:00:00Z",
    "snippet_name": "my_snippet",
    "modified_on": "2000-01-01T00:00:00Z"
  },
  "success": true
}
```